<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <title>EJERCICIO 2 JSX</title>
    </head>

    <body>
        <div id="root"></div>
        <script src="https://unpkg.com/react@16/umd/react.development.js"></script>
        <script src="https://unpkg.com/react-dom@16/umd/react-dom.development.js"></script>
        <script src="https://unpkg.com/babel-standalone@6/babel.min.js"></script>
        <script type="text/babel">

        const data = {
            title_1: "Página inicial de Juan Tuesta",
            paragraph_1: "Bienvenido a mi pagina personal. Soy un alumno de la Universidad de Deusto y esta es mi pagina inicial, con la lista de mis enlaces favoritos y otra informacion de interes.",
            subtitle_1: "Enlaces favoritos:",
            list_1: "Internet",
            list_2: "Google",
            list_3: "Aldea Global",
            list_4: "Manual de HTML",
            footer: "Juan Tuesta, Universidad de Deusto, marzo 2002."
        }


        const title_x = <h1>{data.title_1}</h1>;
        const paragraph_1 = <p>{data.paragraph_1}</p>
        const subtitle_1 = <h2>{data.subtitle_1}</h2>;
        const listElements = <ol><li>{data.list_1}</li><li>{data.list_2}</li><li>{data.list_3}</li><li>{data.list_4}</li></ol>
        const footer = <i>{data.footer}</i>

        const element = (
            <div>
                {title_x}
                {paragraph_1}
                {subtitle_1}
                {listElements}
                {footer}
            </div>
        );

        ReactDOM.render(
        element,
        document.getElementById('root')
        );
        </script>
    </body>
</html>
